# Gimp.PDB.prototype.get_last_error

    function get_last_error(): String {
        // Gjs wrapper for gimp_pdb_get_last_error()
    }

Retrieves the error message from the last procedure call.

If a procedure call fails, then it might pass an error message with the return values. Plug-ins that are using the libgimp C wrappers don't access the procedure return values directly. Thus Gimp.PDB stores the error message and makes it available with this function. The next procedure call unsets the error message again.

The returned string is owned by pdb and must not be freed or modified.

Since 3.0

Returns

  the error message